Bash is funny with returns.

pull/895/head
Dan Schaper 8 years ago
parent 12f5f8ba00
commit d9528dfd09

@ -25,7 +25,7 @@ is_repo() {
local gitRepo=0 local gitRepo=0
echo -n "::: Checking if ${directory} is a repo... " echo -n "::: Checking if ${directory} is a repo... "
cd "${directory}" &> /dev/null || return 1 cd "${directory}" &> /dev/null || return 1
if [[ $(git status --short > /dev/null) ]]; then if [[ $(git status --short &> /dev/null) ]]; then
echo "OK" echo "OK"
else else
echo "not found!" echo "not found!"
@ -63,12 +63,16 @@ getGitFiles() {
fi fi
} }
if [ ! -d "/etc/.pihole" ]; then #This is unlikely
is_repo "${PI_HOLE_FILES_DIR}" &> /dev/null
if [[ $? -eq 1 ]]; then #This is unlikely
echo "::: Critical Error: Pi-Hole repo missing from system!" echo "::: Critical Error: Pi-Hole repo missing from system!"
echo "::: Please re-run install script from https://github.com/pi-hole/pi-hole" echo "::: Please re-run install script from https://github.com/pi-hole/pi-hole"
exit 1; exit 1;
fi fi
if [ ! -d "/var/www/html/admin" ]; then #This is unlikely
is_repo "${ADMIN_INTERFACE_DIR}" &> /dev/null
if [[ $? -eq 1 ]]; then #This is unlikely
echo "::: Critical Error: Pi-Hole repo missing from system!" echo "::: Critical Error: Pi-Hole repo missing from system!"
echo "::: Please re-run install script from https://github.com/pi-hole/pi-hole" echo "::: Please re-run install script from https://github.com/pi-hole/pi-hole"
exit 1; exit 1;

@ -73,7 +73,7 @@ fi
# Compatibility # Compatibility
if [ -x "$(command -v apt-get)" ]; then if [[ $(command -v apt-get) ]]; then
#Debian Family #Debian Family
############################################# #############################################
PKG_MANAGER="apt-get" PKG_MANAGER="apt-get"
@ -99,9 +99,9 @@ if [ -x "$(command -v apt-get)" ]; then
package_check_install() { package_check_install() {
dpkg-query -W -f='${Status}' "${1}" 2>/dev/null | grep -c "ok installed" || ${PKG_INSTALL} "${1}" dpkg-query -W -f='${Status}' "${1}" 2>/dev/null | grep -c "ok installed" || ${PKG_INSTALL} "${1}"
} }
elif [ -x "$(command -v rpm)" ]; then elif [ $(command -v rpm) ]; then
# Fedora Family # Fedora Family
if [ -x "$(command -v dnf)" ]; then if [ $(command -v dnf) ]; then
PKG_MANAGER="dnf" PKG_MANAGER="dnf"
else else
PKG_MANAGER="yum" PKG_MANAGER="yum"

Loading…
Cancel
Save